namespace InABox.WPF;

public class BooleanToBooleanConverter : AbstractConverter<bool,bool>
{
    public bool Invert { get; set; }
    
    public override bool Convert(bool value)
    {
        return Invert
            ? !value
            : value;
    }

    public override bool Deconvert(bool value)
    {
        return Invert
            ? !value
            : value;
    }
    
}